#!/usr/bin/env bash
# Wed 21 Sep 2016 13:08:05 CEST

source $(dirname ${0})/functions.sh

check_env DOCSERVER
check_env CONDA_PREFIX
check_env CI_PROJECT_NAME

BOB_DOCUMENTATION_SERVER="${DOCSERVER}/software/bob/docs/latest/bob/%s/master/"

bindir=`pwd`/${CONDA_PREFIX}/bin

run_cmd ${bindir}/coverage run --source=${CI_PROJECT_NAME} ./bin/nosetests -sv ${CI_PROJECT_NAME}
run_cmd ${bindir}/coverage report
run_cmd ${bindir}/sphinx-build -b doctest ../doc ../sphinx
